<?php

	/* if uninstall not called from WordPress exit */

	if ( !defined( 'WP_UNINSTALL_PLUGIN' ) )
		exit ();

	/* Delete all existence of this plugin */

	global $wpdb;

	$post_meta_data_name = 'wpsite_limit_tags_meta_box_';
	$blog_option_name = 'wpsite_limit_tags_settings';
	$verison = 'wpsite_limit_tags_version';
	$license_key_name = 'wpsite_limit_tags_license_key';

	if ( !is_multisite() ) {

		/* Delete blog option */

		delete_option($blog_option_name);
		delete_option($verison);
		delete_option($license_key_name);

		/* Delete post meta data */

		$posts = get_posts(array('posts_per_page' => -1));

		foreach ($posts as $post) {
			$post_meta = get_post_meta($post->ID);
			delete_post_meta($post->ID, $post_meta_data_name);
		}
	}

	else {

		/* Delete site option */

		delete_site_option($site_option_name);
		delete_site_option($verison);
		delete_site_option($license_key_name);

		/* Used to delete each option from each blog */

		$blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );

	    foreach ( $blog_ids as $blog_id )
	    {
	        switch_to_blog( $blog_id );

			delete_option($blog_option_name);

			/* Delete post meta data */

			$posts = get_posts(array('posts_per_page' => -1));

			foreach ($posts as $post) {
				$post_meta = get_post_meta($post->ID);
				delete_post_meta($post->ID, $post_meta_data_name);
			}

	        restore_current_blog();
	    }
	}
?>